package com.cool.store.service;

import com.cool.store.dao.wallet.WalletTradeDAO;
import com.cool.store.dto.wallet.WithdrawApplicationDTO;
import com.cool.store.entity.wallet.WalletTradeDO;
import com.cool.store.request.WithdrawApplicationPageRequest;
import com.cool.store.request.WithdrawApplicationRequest;
import com.github.pagehelper.PageInfo;

/**
 * 提现申请 Service
 */
public interface WithdrawApplicationService {

    /**
     * 分页查询提现申请
     */
    PageInfo<WithdrawApplicationDTO> page(WithdrawApplicationPageRequest request);

    /**
     * 新增提现申请
     */
    Boolean add(WithdrawApplicationRequest request);

    Boolean confirmWithdraw(Long id);

    Boolean updateTrade(WalletTradeDO walletTradeDO);


}
